Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 21 Sep 2014, 20:32
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Ardour3-3.5.357-i686 Compiled in Precise 5.6.1
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Author Message
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Fri 07 Mar 2014, 17:05    Post_subject:  Ardour3-3.5.357-i686 Compiled in Precise 5.6.1
Sub_title: Record, mix and master multi-track audio
 

Ardour3-3.5.357 everything compiled in precise 5.6.1



Ardour3-3.5.357-i686.pet Download Warning requires at least 223M+ of space to install

Required dependences for Precise 5.6.1 Ardour3-3.5.357-i686.pet
jack-audio-connection-kit-0.121.3-i686.pet Download
libgnomecanvasmm-2.26.0-i686.pet Download
liblo-0.26-i686.pet Download
liblrdf-0.4.0-i686.pet Download
raptor-1.4.21-i686.pet Download
For Precise 5.7.1 you will also need these 2 pets(Provided by RSH)
http://www.mediafire.com/download/c1clnlbccwji9w3/libs_for_5.7.1_i386.pet
http://www.mediafire.com/download/554dhac104sw42l/libglibmm-2.4-1c2a_2.32.0.pet


Ardour3-3.5.357-i686-Precise_5.7.1.sfs Download includes all required dependences (RSH provided some libs for this thanks)

Ardour3-3.5.357-i686-Precise_5.6.1.sfs Download includes all required dependences

Optional dependences for Ardour3-3.5.357-i686 pet or sfs
qjackctl-0.3.11-s-i686.pet Download Gui for jackd, Qt was compiled as static so not needed anymore.


If you want DEV,DOC or NLS pets they are all in my repo. Everyting needed to compile is also in my repo
Link to my repo http://www.mediafire.com/folder/cc4nimp92ba71/Precise_5.6.1

Edited_times_total
Back to top
View user's profile Send_private_message AIM YIM 
RSH


Joined: 05 Sep 2011
Posts: 2420
Location: Germany

PostPosted: Fri 07 Mar 2014, 17:34    Post_subject:  

Thank you very much!

Downloaded and will test later. Though could not find the NLS for Ardour...

_________________
LazY Puppy
RSH's DNA
SARA B.
Back to top
View user's profile Send_private_message 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Fri 07 Mar 2014, 17:40    Post_subject:  

Ardour uses waf to compile so new2dir does not work right.
So it is all in one fat pet.
i had to do this to be able to make a pet or sfs ./waf install --destdir=/tmp/Ardour3-3.5.357
Back to top
View user's profile Send_private_message AIM YIM 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Fri 07 Mar 2014, 17:48    Post_subject:  

there was lots of other dependences that also used waf but i compiled them static only so they are not needed any more.
Back to top
View user's profile Send_private_message AIM YIM 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Fri 07 Mar 2014, 17:51    Post_subject:  

RSH please report back and tell me if it works for you, it should cuzz i tested it in a fresh precise 5.6.1 savefile.
Back to top
View user's profile Send_private_message AIM YIM 
RSH


Joined: 05 Sep 2011
Posts: 2420
Location: Germany

PostPosted: Fri 07 Mar 2014, 18:18    Post_subject:  

Ok.

Tested in L.A.S.S.I.E. which is a clean Precise 5.7.1 Derivative that has installed only my own Applications like SFS P.L.U.S., SARA-B and some right-click tools to build SFS Modules from deb and pet files. So, there aren't installed additional libraries or anything else...

I have installed the jack-audio-connection-kit-0.121.3-i686.pet as you said. Then loaded the SFS by sfs_load.

Needs to download these packages (missing dependencies).

libatkmm-1.6-1_2.22.6-1ubuntu1_i386.deb
libcairomm-1.0-1_1.10.0-1ubuntu1_i386.deb
libgtkmm-2.4-1c2a_2.24.2-1ubuntu1_i386.deb
libpangomm-1.4-1_2.28.4-1ubuntu1_i386.deb

These four libs above came as one download, so I could choose download only and save them elsewhere.

libglibmm-2.4-1c2a_2.32.0.pet

This lib came as single file (ubuntu.deb) and could not be downloaded only to be saved elsewhere. So I used gnewpet, to re-create the .pet package. Now saved elsewhere... Very Happy

After this Ardour3 came up and seems to work. But as it is in the older versions, there is a message of a limit of locked memory.

Anyone out there to explain and to show me the way how to get this away (increasing the locked memory etc.pp.)?

At least, if you are adding those libs above to the your SFS Module, it should work out of the box in each Precise Puppy, when jack-audio-connection-kit-0.121.3-i686.pet is installed or even added to the SFS Module(?).

Thanks again.

BTW: tested without any save file in use!
Ardour3.jpg
 Description   
 Filesize   91.21 KB
 Viewed   517 Time(s)

Ardour3.jpg


_________________
LazY Puppy
RSH's DNA
SARA B.
Back to top
View user's profile Send_private_message 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Fri 07 Mar 2014, 18:36    Post_subject:  

thanks for posting back.

libatkmm, libcairomm, libgtkmm and libpangomm all come in stock precise 5.6.1

Code:
   libgtkmm-2.4.so.1 => /usr/lib/libgtkmm-2.4.so.1 (0xb6b65000)
   libatkmm-1.6.so.1 => /usr/lib/libatkmm-1.6.so.1 (0xb6b21000)
   libgdkmm-2.4.so.1 => /usr/lib/libgdkmm-2.4.so.1 (0xb6ad6000)
   libpangomm-1.4.so.1 => /usr/lib/libpangomm-1.4.so.1 (0xb6aac000)
   libcairomm-1.0.so.1 => /usr/lib/libcairomm-1.0.so.1 (0xb6a88000)


and also libglibmm

Code:
libglibmm-2.4.so.1 => /usr/lib/libglibmm-2.4.so.1 (0xb76b1000)


So all works great in precise 5.6.1

Edited_time_total
Back to top
View user's profile Send_private_message AIM YIM 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Fri 07 Mar 2014, 18:48    Post_subject:  

i could include the libs but only for a Precise 5.7.1 sfs.
if i included them in the sfs for precise 5.6.1 it would void the included libs when unmounted and maybe break stuff.
Back to top
View user's profile Send_private_message AIM YIM 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Fri 07 Mar 2014, 18:53    Post_subject:  

RSH can you post the needed libs for precise 5.7.1 and i can make a sfs for 5.7.1

I do not use any puppy besides precise 5.6.1 havent moved to 5.7.1 because 5.6.1 works great for me.
Back to top
View user's profile Send_private_message AIM YIM 
RSH


Joined: 05 Sep 2011
Posts: 2420
Location: Germany

PostPosted: Fri 07 Mar 2014, 19:00    Post_subject:  

scabz wrote:
i could include the libs but only for a Precise 5.7.1 sfs.
if i included them in the sfs for precise 5.6.1 it would void the included libs when unmounted and maybe break stuff.

No, it doesn't do such things, since it is loaded into a completely different layer and these libs are 'unseen' for the OS if they are already installed.

You can check this out running in RAM.

Remove the installed libs and try to load Ardour (a version with these libs added) from SFS. Ardour will not run, because the libs are marked as removed/deleted in top layer. So the equal libs in the Ardour SFS won't be seen by the OS.

The libs (download-button is the small one, the gray one).
http://www.datafilehost.com/d/fe93a81a
Deb files packaged into a .tar.gz (too big for the forum)

_________________
LazY Puppy
RSH's DNA
SARA B.
Back to top
View user's profile Send_private_message 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Fri 07 Mar 2014, 19:13    Post_subject:  

Thanks for the Libs and the info on how the layering works i didnt know so I just used logic so not to break stuff.

i will post the sfs for precise 5.7.1 soon and include jack as well.
Back to top
View user's profile Send_private_message AIM YIM 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Sat 08 Mar 2014, 14:26    Post_subject:  

can anyone test this on other puppies cuzz if i know what libs are needed for all puppies then i can try to compile as many libs as i can as static only and recompile ardour. Then it should work on most puppies.
Back to top
View user's profile Send_private_message AIM YIM 
RSH


Joined: 05 Sep 2011
Posts: 2420
Location: Germany

PostPosted: Sun 09 Mar 2014, 18:02    Post_subject:  

I can confirm, it seems to work in Precise 5.6 out of the box.

Tested in a Precise 5.6 derivative with jack-audio and qjackctl already installed.

Will do a test on Slacko 5.6.3 later, but I'm sure, it will miss a lot of more libraries.

Meanwhile I've build a Ardour SFS including the jack-audio package and it works out of the box in Precise 5.7.1, after the SFS is loaded.

RSH

_________________
LazY Puppy
RSH's DNA
SARA B.
Back to top
View user's profile Send_private_message 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Thu 10 Apr 2014, 12:22    Post_subject:  

qjackctl-0.3.11-s-i686.pet compiled and added, does not require Qt.
The old pet is still in my repo if you use Qt for other apps.
Back to top
View user's profile Send_private_message AIM YIM 
NeroVance


Joined: 10 Oct 2012
Posts: 149
Location: Canada

PostPosted: Mon 05 May 2014, 17:14    Post_subject:  

Looks pretty sweet, and I have a few friends who are doing music production, and I kinda want to do some Nu-Disco and Synthwave, and Ardour really does look rather swell for the task.
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0804s ][ Queries: 12 (0.0067s) ][ GZIP on ]